# RTP_UserData Class Reference

`#include <rtp.h>`

Inheritance diagram for RTP_UserData:

[legend]

## Public Member Functions

virtual void | OnTxStatistics (const RTP_Session &session) const
virtual void | OnRxStatistics (const RTP_Session &session) const
virtual void | OnTxIntraFrameRequest (const RTP_Session &session) const
virtual void | OnRxIntraFrameRequest (const RTP_Session &session) const
virtual void | SessionFailing (RTP_Session &session)

## Detailed Description

This class is the base for user data that may be attached to the RTP_session allowing callbacks for statistics and progress monitoring to be passed to an arbitrary object that an RTP consumer may require.

## Member Function Documentation

virtual void RTP_UserData::OnRxIntraFrameRequest | ( | const RTP_Session & | session | ) | const`[virtual]`

Callback from the RTP session when an intra frame request control packet is received.

The default behaviour does nothing.

Parameters:

  session | Session with statistics

virtual void RTP_UserData::OnRxStatistics | ( | const RTP_Session & | session | ) | const`[virtual]`

Callback from the RTP session for receive statistics monitoring. This is called every RTP_Session::receiverReportInterval packets on the receiver indicating that the statistics have been updated.

The default behaviour does nothing.

Parameters:

  session | Session with statistics

virtual void RTP_UserData::OnTxIntraFrameRequest | ( | const RTP_Session & | session | ) | const`[virtual]`

Callback from the RTP session when an intra frame request control packet is sent.

The default behaviour does nothing.

Parameters:

  session | Session with statistics

virtual void RTP_UserData::OnTxStatistics | ( | const RTP_Session & | session | ) | const`[virtual]`

Callback from the RTP session for transmit statistics monitoring. This is called every RTP_Session::txStatisticsInterval packets on the transmitter indicating that the statistics have been updated.

The default behaviour does nothing.

Parameters:

  session | Session with statistics

virtual void RTP_UserData::SessionFailing | ( | RTP_Session & | session | ) | `[virtual]`

Callback from the RTP session when RTP session is failing due to the remote being unavailable The default behaviour does nothing.

Parameters:

  session | Session with statistics

The documentation for this class was generated from the following file:

- rtp.h